VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsFormDrag"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

' declaraciones
'''''''''''''''''''''''''''

Private Type POINTAPI
    X As Long
    Y As Long
End Type

Private Type RECT
    Left As Long
    Top As Long
    Right As Long
    Bottom As Long
End Type
Private Declare Function ScreenToClient Lib "user32" ( _
    ByVal hwnd As Long, _
    lpPoint As POINTAPI) As Long

Private Declare Sub ClipCursor Lib "user32" (lpRect As Any)

Private Declare Function ClientToScreen Lib "user32.dll" ( _
     ByVal hwnd As Long, _
     ByRef lpPoint As POINTAPI) As Long
Private Declare Function GetClientRect Lib "user32.dll" ( _
     ByVal hwnd As Long, _
     ByRef lpRect As RECT) As Long
Dim bMover As Boolean
 
Dim XInicio As Single
Dim Yinicio As Single

Private mLimitar As Boolean
Private WithEvents mForm As Form
Attribute mForm.VB_VarHelpID = -1

Sub Class_Init(ElForm As Form)
    
    If Not mForm Is Nothing Then Exit Sub
    Set mForm = ElForm
End Sub

Private Sub mForm_MouseMove(Button As Integer, _
                               Shift As Integer, _
                               X As Single, Y As Single)
    If bMover Then
       
       mForm.Left = (mForm.Left + X) - XInicio
       mForm.Top = (mForm.Top + Y) - Yinicio
    End If
End Sub

Private Sub mForm_MouseDown(Button As Integer, _
                               Shift As Integer, _
                               X As Single, Y As Single)
    If Button = vbLeftButton Then
       bMover = True
       XInicio = X
       Yinicio = Y
       mForm.ZOrder 0
    End If
End Sub

Private Sub mForm_MouseUp(Button As Integer, _
                             Shift As Integer, _
                             X As Single, Y As Single)
    

    bMover = False
End Sub

Private Sub Class_Terminate()
    If Not mForm Is Nothing Then
       Set mForm = Nothing
    End If
End Sub



